Subject: Re: CCL:G92/DFT for ALPHA/OSF: some compilation problem

From: "Donald M. Frederick" <[email-masked]>
Date: Wed, 06 Jul 94 10:03:52 -0700

> Dear net-ters,
>       I am trying to compile Gaussian G92/DFT v. G2 on ALPHA 300x machine.
> In the corresponding g92.make file there is the following option
> ESSLLIB= -ldxml
> which I suppose to correspond to a fortran library. The problem is that the
> compilation stops because we do not have this library. I loooked at the
> corresponding makefile for the IBM/RISC 6000 version and I found this:
> ESSLLIB= -lblas [other stuff]
> So I suppose that the dxml and blas library are the same. Am I right?
> But, now, where is it possible to find dxml (or blas) for ALPHA (OSF v. 1) ?
> Thank
> Ciao
> Carlo
> 
> 
> P.S. I tried, of course, to contact both Gaussian and Digital, but I received 
> no answer
> 
> 
> 
> -------------------------------------------------------------------------------
>   Carlo Adamo                      | tel. +39-81-5476504
>   Dipartimento di Chimica          | fax  +39-81-5527771
>   via Mezzocannone 4               | e-mail [email-masked]
>   I-80134 Napoli                   |
>   Italy                            |
> ________________________________________________________________________________
> 
> 
> 
> 
> ---Administrivia: This message is automatically appended by the mail exploder:
> [email-masked] -- everyone     | [email-masked] -- coordinator
> [email-masked]: HELP CHEMISTRY  | Gopher: www.ccl.net 73
> Anon. ftp www.ccl.net     | [email-masked] -- archive search
> http://www.ccl.net/chemistry.html |     for info send: HELP SEARCH to MAILSERV

"dxml" is the DEC Extended Mathematics Library and it contains BLAS (among
other goodies, too) optimized for DEC alpha architecture. Your local DEC
representative SHOULD be able to tell you all about dxml. As an
alternative, You may want to just grab BLAS as Fortran source from the
nearest netlib site to you and create your own BLAS library. The European
site is: "[email-masked]". Just send e-mail to that address with the
following one-line message body:

send index from blas

to obtain information about the BLAS package.

Good luck.

------------------------------------------------------------------------
	Donald Frederick       |      Office of Academic Computing
	[email-masked]       |      University of California, Irvine
	     [email-masked]       |      Irvine, CA  92717
    	(714) 725-3200	       |      FAX (714) 725-2069
-----------------------------------------------------------------------